Subject: Re: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: Akib Azmain Turja <[email-masked]>
Date: Sat, 10 Dec 2022 12:09:58 +0600

Eli Zaretskii <[email-masked]> writes:

>> From: Akib Azmain Turja <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 09 Dec 2022 16:44:36 +0600
>> 
>> But how can I copy 'yank-transform-functions' hook to the temporary
>> buffer?
>
> By using add-hook, of course.
>
> But I feel that I don't understand the question, or am missing
> something, because you basically are asking how to assign to a
> variable the value of another variable, and what is the difficulty
> with that that needs such a question to be answered?

Yes, you didn't understand.

Hooks can have global and local function.  I'm asking how to copy the
local functions in 'yank-transform-functions' hook to the temporary
buffer?  (So that 'run-hook-wrapped' calls the same functions on both
(original and temporary) buffers.)

-- 
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: [email-masked]
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."